/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2011 OpenFOAM Foundation
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

Application
    Tuple2Test

Description

\*---------------------------------------------------------------------------*/

#include "Tuple2.H"
#include "label.H"
#include "scalar.H"
#include "List.H"

using namespace Foam;

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
// Main program:

int main()
{
    typedef Tuple2<label, scalar> indexedScalar;

    indexedScalar t2(1, 3.2);

    Info<< "tuple: "
        << t2 << " "
        << t2.first() << " " << t2.second() << endl;

    List<indexedScalar> list1(10);
    forAll(list1, i)
    {
        list1[i] = indexedScalar(-i, i*i);
    }

    sort(list1);

    Info<< "tuples:" << nl
        << list1
        << endl;

    Info<< "End\n" << endl;

    return 0;
}


// ************************************************************************* //
